# PolylineVolumeGraphics

#### new Cesium.PolylineVolumeGraphics(options)
engine/Source/DataSources/PolylineVolumeGraphics.js 39

Describes a polyline volume defined as a line strip and corresponding two dimensional shape which is extruded along it. The resulting volume conforms to the curvature of the globe.

Name | Type | Description
--- | --- | ---
`options` | PolylineVolumeGraphics.ConstructorOptions | optional Object describing initialization options

##### Demo:

- Cesium Sandcastle Polyline Volume Demo

##### See:

- Entity

### Members

#### cornerType : Property|undefined
engine/Source/DataSources/PolylineVolumeGraphics.js 111

Gets or sets the `CornerType` Property specifying the style of the corners.

Default Value: `CornerType.ROUNDED`

#### readonly definitionChanged : Event
engine/Source/DataSources/PolylineVolumeGraphics.js 77

Gets the event that is raised whenever a property or sub-property is changed or modified.

#### distanceDisplayCondition : Property|undefined
engine/Source/DataSources/PolylineVolumeGraphics.js 178

Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this volume will be displayed.

#### fill : Property|undefined
engine/Source/DataSources/PolylineVolumeGraphics.js 127

Gets or sets the boolean Property specifying whether the volume is filled with the provided material.

Default Value: `true`

#### granularity : Property|undefined
engine/Source/DataSources/PolylineVolumeGraphics.js 119

Gets or sets the numeric Property specifying the angular distance between points on the volume.

Default Value: `{CesiumMath.RADIANS_PER_DEGREE}`

#### material : MaterialProperty
engine/Source/DataSources/PolylineVolumeGraphics.js 135

Gets or sets the Property specifying the material used to fill the volume.

Default Value: `Color.WHITE`

#### outline : Property|undefined
engine/Source/DataSources/PolylineVolumeGraphics.js 143

Gets or sets the Property specifying whether the volume is outlined.

Default Value: `false`

#### outlineColor : Property|undefined
engine/Source/DataSources/PolylineVolumeGraphics.js 151

Gets or sets the Property specifying the `Color` of the outline.

Default Value: `Color.BLACK`

#### outlineWidth : Property|undefined
engine/Source/DataSources/PolylineVolumeGraphics.js 162

Gets or sets the numeric Property specifying the width of the outline.

Note: This property will be ignored on all major browsers on Windows platforms. For details, see (@link https://github.com/CesiumGS/cesium/issues/40}.

Default Value: `1.0`

#### positions : Property|undefined
engine/Source/DataSources/PolylineVolumeGraphics.js 96

Gets or sets the Property specifying the array of `Cartesian3` positions which define the line strip.

#### shadows : Property|undefined
engine/Source/DataSources/PolylineVolumeGraphics.js 171

Get or sets the enum Property specifying whether the volume casts or receives shadows from light sources.

Default Value: `ShadowMode.DISABLED`

#### shape : Property|undefined
engine/Source/DataSources/PolylineVolumeGraphics.js 103

Gets or sets the Property specifying the array of `Cartesian2` positions which define the shape to be extruded.

#### show : Property|undefined
engine/Source/DataSources/PolylineVolumeGraphics.js 89

Gets or sets the boolean Property specifying the visibility of the volume.

Default Value: `true`

### Methods

#### clone(result) → PolylineVolumeGraphics
engine/Source/DataSources/PolylineVolumeGraphics.js 189

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | PolylineVolumeGraphics | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### merge(source)
engine/Source/DataSources/PolylineVolumeGraphics.js 214

Assigns each unassigned property on this object to the value of the same property on the provided source object.

Name | Type | Description
--- | --- | ---
`source` | PolylineVolumeGraphics | The object to be merged into this object.

### Type Definitions

#### Cesium.PolylineVolumeGraphics.ConstructorOptions
engine/Source/DataSources/PolylineVolumeGraphics.js 8

Initialization options for the PolylineVolumeGraphics constructor

##### Properties:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`show` | Property | boolean | <optional> | true | A boolean Property specifying the visibility of the volume.
`positions` | Property | Array.<Cartesian3> | <optional> |  | A Property specifying the array of `Cartesian3` positions which define the line strip.
`shape` | Property | Array.<Cartesian2> | <optional> |  | A Property specifying the array of `Cartesian2` positions which define the shape to be extruded.
`cornerType` | Property | CornerType | <optional> | CornerType.ROUNDED | A `CornerType` Property specifying the style of the corners.
`granularity` | Property | number | <optional> | Cesium.Math.RADIANS_PER_DEGREE | A numeric Property specifying the angular distance between each latitude and longitude point.
`fill` | Property | boolean | <optional> | true | A boolean Property specifying whether the volume is filled with the provided material.
`material` | MaterialProperty | Color | <optional> | Color.WHITE | A Property specifying the material used to fill the volume.
`outline` | Property | boolean | <optional> | false | A boolean Property specifying whether the volume is outlined.
`outlineColor` | Property | Color | <optional> | Color.BLACK | A Property specifying the `Color` of the outline.
`outlineWidth` | Property | number | <optional> | 1.0 | A numeric Property specifying the width of the outline.
`shadows` | Property | ShadowMode | <optional> | ShadowMode.DISABLED | An enum Property specifying whether the volume casts or receives shadows from light sources.
`distanceDisplayCondition` | Property | DistanceDisplayCondition | <optional> |  | A Property specifying at what distance from the camera that this volume will be displayed.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.